package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

/**
 * @Author Joburgess
 * @Date 2021/6/5 0005
 */
public class MusicPitchDetailDto {

    @ApiModelProperty("时间戳ms")
    private int timeStamp;

    @ApiModelProperty("结束时间戳")
    private int endTimeStamp;

    @ApiModelProperty("持续时长ms")
    private int duration;

    @ApiModelProperty("频率Hz")
    private float frequency;

    private float avgFrequency;

    @ApiModelProperty("分贝")
    private float decibel;

    @ApiModelProperty("小节数")
    private int measureIndex;

    @ApiModelProperty("音符数")
    private int musicalNotesIndex;

    @ApiModelProperty("不需要评分")
    private Boolean dontEvaluating;

    public float getDecibel() {
        return decibel;
    }

    public void setDecibel(float decibel) {
        this.decibel = decibel;
    }

    public float getAvgFrequency() {
        return avgFrequency;
    }

    public void setAvgFrequency(float avgFrequency) {
        this.avgFrequency = avgFrequency;
    }

    public Boolean getDontEvaluating() {
        return dontEvaluating;
    }

    public void setDontEvaluating(Boolean dontEvaluating) {
        this.dontEvaluating = dontEvaluating;
    }

    public int getMusicalNotesIndex() {
        return musicalNotesIndex;
    }

    public void setMusicalNotesIndex(int musicalNotesIndex) {
        this.musicalNotesIndex = musicalNotesIndex;
    }

    public int getEndTimeStamp() {
        return endTimeStamp;
    }

    public void setEndTimeStamp(int endTimeStamp) {
        this.endTimeStamp = endTimeStamp;
    }

    public MusicPitchDetailDto() {
    }

    public MusicPitchDetailDto(int timeStamp, float frequency) {
        this.timeStamp = timeStamp;
        this.frequency = frequency;
    }

    public MusicPitchDetailDto(int timeStamp, int endTimeStamp) {
        this.timeStamp = timeStamp;
        this.endTimeStamp = endTimeStamp;
    }

    public MusicPitchDetailDto(int timeStamp, int duration, float frequency) {
        this.timeStamp = timeStamp;
        this.duration = duration;
        this.frequency = frequency;
    }

    public MusicPitchDetailDto(int timeStamp, float frequency, double decibel) {
        this.timeStamp = timeStamp;
        this.frequency = frequency;
        this.decibel = (float) decibel;
    }

    public int getTimeStamp() {
        return timeStamp;
    }

    public void setTimeStamp(int timeStamp) {
        this.timeStamp = timeStamp;
    }

    public int getDuration() {
        return duration;
    }

    public void setDuration(int duration) {
        this.duration = duration;
    }

    public float getFrequency() {
        return frequency;
    }

    public void setFrequency(float frequency) {
        this.frequency = frequency;
    }

    public int getMeasureIndex() {
        return measureIndex;
    }

    public void setMeasureIndex(int measureIndex) {
        this.measureIndex = measureIndex;
    }
}
